import { ConfigSetType } from "@takomo/config-sets";
import { DeploymentTargetsContext } from "@takomo/deployment-targets-context";
import { ConfigSetExecutionPlan } from "@takomo/execution-plans";
import { TkmLogger } from "@takomo/util";
import { TargetsSelectionCriteria } from "./create-config-set-execution-plan";
import { PlannedDeploymentTarget } from "./model";
export interface ConfigSetExecutionPlanTargetsSelectionProps extends TargetsSelectionCriteria {
    readonly configSetType: ConfigSetType;
}
export interface CreateConfigSetExecutionPlanProps {
    readonly ctx: DeploymentTargetsContext;
    readonly logger: TkmLogger;
    readonly targetsSelectionCriteria: ConfigSetExecutionPlanTargetsSelectionProps;
}
export declare const createExecutionPlan: (props: CreateConfigSetExecutionPlanProps) => Promise<ConfigSetExecutionPlan<PlannedDeploymentTarget>>;
